#include <qwidget.h>
#include "qtparted.h"
#include "qp_libparted.h"

typedef enum {
    MP_none,
    MP_move,
    MP_resize_left,
    MP_resize_right
} MousePosition;

class QP_SizePartition;

class QP_SizeContainer : public QWidget {
Q_OBJECT

public:
    QP_SizeContainer(QWidget *parent=0, const char *name=0, WFlags f = 0);
    void setGeometry(int x, int y, int w, int h);
    void setMaxPartSector(PedSector);
    void setMinPartSector(PedSector);
    void setStartPartSector(PedSector);
    void setEndPartSector(PedSector);
    void setGrowStartPartSector(PedSector);
    void setGrowEndPartSector(PedSector);
    void setMode(QTParted::MoveResize);

protected slots:
    void slotChangedStart();
    void slotChangedEnd();
    void slotChangedPos();

private:
    QP_SizePartition *sizepartition;
    PedSector _MaxPartSector;
    PedSector _MinPartSector;
    PedSector _StartPartSector;
    PedSector _EndPartSector;
    PedSector _GrowStartPartSector;
    PedSector _GrowEndPartSector;

signals:
    void sigChangedStart(PedSector);
    void sigChangedEnd(PedSector);
    void sigChangedPos(PedSector, PedSector);
};

class QP_SizePartition : public QWidget {
Q_OBJECT

public:
    QP_SizePartition(QWidget *parent=0, const char *name=0, WFlags f = 0);
    ~QP_SizePartition();
    void setMinSizeInPixel(int);
    void setMode(QTParted::MoveResize);

protected:
    void mousePressEvent(QMouseEvent *);
    void mouseReleaseEvent (QMouseEvent *);
    void mouseMoveEvent(QMouseEvent *);
    void paintEvent(QPaintEvent *);

private:
    QTParted::MoveResize _moveresize;
    QPoint clickPos;
    MousePosition mouseposition;
    int _MinSizeInPixel;

signals:
    void sigChangedStart();
    void sigChangedEnd();
    void sigChangedPos();
};
